SetType (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.marshal

## Class SetType<T>

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<T>
  - - org.apache.cassandra.db.marshal.CollectionType<java.util.Set<T>>
    - - org.apache.cassandra.db.marshal.SetType<T>

- All Implemented Interfaces:
    java.util.Comparator<java.nio.ByteBuffer>

      public class SetType<T>
      extends CollectionType<java.util.Set<T>>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.marshal.CollectionType

      `CollectionType.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `AbstractType<T>` | `elements`

    - ### Fields inherited from class org.apache.cassandra.db.marshal.CollectionType

      `kind, MAX_ELEMENTS`

    - ### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

      `reverseComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetType(AbstractType<T> elements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendToStringBuilder(java.lang.StringBuilder sb)`
    `int` | `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
    `static <T> SetType<T>` | `getInstance(AbstractType<T> elements)`
    `static SetType<?>` | `getInstance(TypeParser parser)`
    `SetSerializer<T>` | `getSerializer()`
    `boolean` | `isByteOrderComparable()`
    `AbstractType<T>` | `nameComparator()`
    `java.util.List<java.nio.ByteBuffer>` | `serializedValues(java.util.List<Cell> cells)`
    `AbstractType<?>` | `valueComparator()`

    - ### Methods inherited from class org.apache.cassandra.db.marshal.CollectionType

      `asCQL3Type, enforceLimit, fromString, getString, isCollection, isCompatibleWith, serializeForNativeProtocol, toString, validateCellValue`

    - ### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

      `compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getComponents, getString, isCounter, isValueCompatibleWith, isValueCompatibleWithInternal, parseDefaultParameters, validate, validateCollectionMember`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Field Detail

    - #### elements

          public final AbstractType<T> elements

  - ### Constructor Detail

    - #### SetType

          public SetType(AbstractType<T> elements)

  - ### Method Detail

    - #### getInstance

          public static SetType<?> getInstance(TypeParser parser)
                                        throws ConfigurationException,
                                               SyntaxException

      Throws:
        `ConfigurationException`
        `SyntaxException`

    - #### getInstance

          public static <T> SetType<T> getInstance(AbstractType<T> elements)

    - #### nameComparator

          public AbstractType<T> nameComparator()

      Specified by:
        `nameComparator` in class `CollectionType<java.util.Set<T>>`

    - #### valueComparator

          public AbstractType<?> valueComparator()

      Specified by:
        `valueComparator` in class `CollectionType<java.util.Set<T>>`

    - #### compare

          public int compare(java.nio.ByteBuffer o1,
                    java.nio.ByteBuffer o2)

    - #### getSerializer

          public SetSerializer<T> getSerializer()

      Specified by:
        `getSerializer` in class `CollectionType<java.util.Set<T>>`

    - #### isByteOrderComparable

          public boolean isByteOrderComparable()

      Overrides:
        `isByteOrderComparable` in class `AbstractType<java.util.Set<T>>`
      Returns:
        true IFF the byte representation of this type can be compared unsigned and always return the same result as calling this object's compare or compareCollectionMembers methods

    - #### appendToStringBuilder

          protected void appendToStringBuilder(java.lang.StringBuilder sb)

      Specified by:
        `appendToStringBuilder` in class `CollectionType<java.util.Set<T>>`

    - #### serializedValues

          public java.util.List<java.nio.ByteBuffer> serializedValues(java.util.List<Cell> cells)

      Specified by:
        `serializedValues` in class `CollectionType<java.util.Set<T>>`

Copyright © 2014 The Apache Software Foundation